unit VVMSB_Demo;

interface

uses
  Windows, Messages, SysUtils,
  Classes, Graphics, Controls,
  Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls,
  VVMSB;

type
  TForm1 = class(TForm)
    SB: TVVMStatusBar;
    RGStyle: TRadioGroup;
    RGBar: TRadioGroup;
    btGo: TButton;
    btClose: TButton;
    T: TTimer;
    RGCenter: TRadioGroup;
    procedure btCloseClick(Sender: TObject);
    procedure TTimer(Sender: TObject);
    procedure btGoClick(Sender: TObject);
    procedure SBPercentChanged(Sender: TObject; Percent: Integer);
    procedure RGStyleClick(Sender: TObject);
    procedure RGBarClick(Sender: TObject);
    procedure RGCenterClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.TTimer(Sender: TObject);
begin
  SB.StepIt;
end;

procedure TForm1.btGoClick(Sender: TObject);
begin
  T.Enabled:=True;
  SB.Position:=0;
  btGO.Enabled:=False;
end;

procedure TForm1.SBPercentChanged(Sender: TObject; Percent: Integer);
begin
  If Percent>98 then begin
    T.Enabled:=False;
    btGO.Enabled:=True;
    SB.Position:=0;
  end;
end;

procedure TForm1.RGStyleClick(Sender: TObject);
begin
  SB.CaptionStyle:=TShowStyle(RGStyle.ItemIndex);
end;

procedure TForm1.RGBarClick(Sender: TObject);
begin
  SB.BarStyle:=TVVMStatusbarStyle(RGBar.ItemIndex);
end;

procedure TForm1.RGCenterClick(Sender: TObject);
begin
  SB.CenterText:=RGCenter.ItemIndex=0;
end;

end.
